Bug 1984074 - Reduce CPU overhead for ignore-listed NICs
Summary: Reduce CPU overhead for ignore-listed NICs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.9
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.8.z
Assignee: Jan Fajerski
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On: 1984030
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-07-20 15:18 UTC by OpenShift BugZilla Robot
Modified: 2021-08-16 18:32 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-16 18:32:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift node_exporter pull 91 0 None open [release-4.8] Bug 1984074: netclass: retrieve interface names and filter before parsing 2021-07-28 13:45:51 UTC
Red Hat Product Errata RHBA-2021:3121 0 None None None 2021-08-16 18:32:25 UTC

Comment 3 Junqi Zhao 2021-08-10 03:48:46 UTC
# oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.8.0-0.nightly-2021-08-09-135211   True        False         9m42s   Cluster version is 4.8.0-0.nightly-2021-08-09-135211
# oc get no
NAME                                         STATUS   ROLES           AGE   VERSION
ip-10-0-156-162.us-west-1.compute.internal   Ready    master,worker   34m   v1.21.1+9807387

# oc debug node/ip-10-0-156-162.us-west-1.compute.internal
sh-4.4# chroot /host
sh-4.4# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: ens5: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 9001 qdisc mq state UP group default qlen 1000
    link/ether 06:b6:ff:52:5f:25 brd ff:ff:ff:ff:ff:ff
    inet 10.0.156.162/18 brd 10.0.191.255 scope global dynamic noprefixroute ens5
       valid_lft 2223sec preferred_lft 2223sec
    inet6 fe80::7580:a0fa:f55a:326e/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever
3: ovs-system: <BROADCAST,MULTICAST> mtu 1500 qdisc noop state DOWN group default qlen 1000
    link/ether 0e:f5:72:ca:7c:b9 brd ff:ff:ff:ff:ff:ff
4: br0: <BROADCAST,MULTICAST> mtu 8951 qdisc noop state DOWN group default qlen 1000
    link/ether 12:e9:51:4c:68:46 brd ff:ff:ff:ff:ff:ff
5: vxlan_sys_4789: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 65000 qdisc noqueue master ovs-system state UNKNOWN group default qlen 1000
    link/ether a2:62:9c:14:47:9c brd ff:ff:ff:ff:ff:ff
    inet6 fe80::a062:9cff:fe14:479c/64 scope link 
       valid_lft forever preferred_lft forever
6: tun0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 8951 qdisc noqueue state UNKNOWN group default qlen 1000
    link/ether 72:a1:84:7a:11:84 brd ff:ff:ff:ff:ff:ff
    inet 10.128.0.1/23 brd 10.128.1.255 scope global tun0
       valid_lft forever preferred_lft forever
    inet6 fe80::70a1:84ff:fe7a:1184/64 scope link 
       valid_lft forever preferred_lft forever
7: vethb87fab55@if3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 8951 qdisc noqueue master ovs-system state UP group default 
    link/ether 96:3e:b7:03:00:5a brd ff:ff:ff:ff:ff:ff link-netns 6dc0e1bd-9d90-4782-a572-a39da43d83e2
    inet6 fe80::943e:b7ff:fe03:5a/64 scope link 
       valid_lft forever preferred_lft forever
8: veth5b6ca1ea@if3: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 8951 qdisc noqueue master ovs-system state UP group default 
    link/ether ae:0a:82:00:17:81 brd ff:ff:ff:ff:ff:ff link-netns ed1311ad-02cc-4fbb-b607-82291beb15dd
    inet6 fe80::ac0a:82ff:fe00:1781/64 scope link 
       valid_lft forever preferred_lft forever
...
sh-4.4# ip addr | grep veth | wc -l
89

checked from prometheus, no veth.* deveices: 
count(node_network_info) by (device)
{device="tun0"}            1
{device="vxlan_sys_4789"}  1
{device="lo"}              1
{device="ens5"}		   1
{device="ovs-system"}	   1
{device="br0"}		   1

Comment 5 errata-xmlrpc 2021-08-16 18:32:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.5 security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3121


Note You need to log in before you can comment on or make changes to this bug.